/* Auspice functions.
 *
 * Auspice Services is copyright (c) 2000-2001 In Mean.
 *     E-mail: <inmean@auspice.org>
 *
 * This program is free but copyrighted software; see the file LICENSE for
 * details.
 */


static const char *agent_help[] = {
"Agent Commands:",
" ",
"   1) \2SET\2               Network Setting.",
"   2) \2Normal commands\2   Commands to control user.",
"   3) \2User Info\2         Commands for get user information.",
"   4) \2Data Control\2      Commands for control Data file.",
"   5) \2Messages Control\2  Changes services messages.",
" ",
"   \2UPDATE\2       -=Update your setting database=-",
"   \2INFO\2         Information of you current setting",
"   \2LOGON\2        Set auto message on logon for user/oper",
"   \2AUTOJOIN\2     Auto force join user any channel on connected",
"   \2BUGS\2         View services bugs.",
" ",
"\2Syntax\2: AGENT HELP <number>",
"\2Syntax\2: AGENT <command>",
" ",
"End Help.",
NULL
};
/*************************************************************************/
static const char *agent_help_2[] = {
" ",
"\2Normal Commands\2",
" ",
"   OP           Give +o in Channel to nick.",
"   JOIN         Join Channel.",
"   PART         Part Channel.",
"   KICK         Kick user from Channel.",
"   EXIT         Exit user from server with reason.",
"   NICK         Change user nickname.",
"   QM           Send Quick E-mail.",
" ",
"\2Syntax\2: AGENT <command>",
" ",
"End of Commands.",
" ",
NULL
};
/*************************************************************************/
static const char *agent_help_3[] = {
" ",
"\2User Info Commands\2",
" ",
"   LISTCHANS    List all channel access which current nick",
"                have access with.",
"   REALHOST     to see user realhost",
" ",
"\2Syntax\2: AGENT <command>",
" ",
"End of Commands.",
" ",
NULL
};
/*************************************************************************/
static const char *agent_help_4[] = {
" ",
"\2Database Commands\2",
" ",
"   REHASHCHAN   Reload the channel html database.",
"   REHASHGAME   Reload the game database.",
"   REHASHBAD    Reload the badword database.",
"   UPDATEHTML   Dump all html file to disk.",
"   INSERTCHAN   Insert a channel to your channel html database.",
" ",
"\2Syntax\2: AGENT <command>",
" ",
"End of Commands.",
" ",
NULL
};
/*************************************************************************/
static const char *agent_help_5[] = {
" ",
"\2Custom Messages Commands\2",
" ",
"   MSGSEARCH    Reload the channel html database.",
"   MSGVIEW      View a token message.",
"   MSGUPDATE    Reload the game database.",
" ",
"\2Syntax\2: AGENT <command>",
" ",
"End of Commands.",
" ",
NULL
};
/*************************************************************************/
static const char *agent_helpset[] = {
"Agent SET Commands:",
" ",
"  1) \2Security Setting\2  Protect from abuser ",
"  2) \2Enhancement\2       Make your services powerful",
"  3) \2Auto System\2       Control user on any action",
"  4) \2Information\2       Usefull Information for user",
"  5) \2Expiry\2            Setting for database expiry",
" ",
"     \2REGISTER\2          Enter your services register code",
" ",
"\2Syntax\2: HELP SET <number>",
" ",
NULL
};
/**************************************************************/
static const char *agent_helpset_1[] = {
" ",
"\2Security Set\2",
" ",
"   VALIDATE     Enable/Disable Validate e-mail services will send the",
"                authorize code to user e-mail after registered.",
"   NEAREX       Allow Services to send e-mail to Nickname nearly Expired nick.",
"   REGNOTICE    Enable/Disable notice ircop on nick/chan registered.",
"   KILLCLONE    Enable/Disable auto kill clone.",
"   AKILLPER     Percentage of victim which prevent from place akill.",
"   CLONENUM     Set number of clone allow in network.",
"   CLONETIME    Set period time for akill clone.",
"   CLONEWATCH   Set number of clone join will notice to all oper.",
" ",
"\2Syntax\2: AGENT SET <command>",
" ",
"End of \2Security Set\2",
" ",
NULL
};
/************************************************************/
static const char *agent_helpset_2[] = {
" ",
"Set \2Enhancement\2",
" ",
"   X            Enable/Disable X control.",
"   CJOIN        Enable/Disable user able to set JOIN flags on channel.",
"   WEBTV        Enable/Disable Services doing Private Message.",
"   HIDEUME      Enable/Disable Services next update database info",
"   LISTCHANS    Enable/Disable LISTCHANS command, it may slow you net",
"   DEFJOIN      Enable/Disable set JOIN flags on channel after register.",
"   AUTOMEMO     User will recieve a memo from services on registering nick.",
"   SMARTMOTD    User will recieve services quick MOTD on logon.",
"   OREPORT      ServicesOP will recieve smartInfo on identify.",
"   CHANOP       Enable/Disable ChanOP.",
"   SEARCH       Enable/Disable Search command.",
"   GAME         Enable/Disable Game.",
" ",
"\2Syntax\2: AGENT SET <command>",
" ",
"End of \2Enhancement Set\2",
" ",
NULL
};
/***********************************************************/
static const char *agent_helpset_3[] = {
" ",
"Set \2Auto System\2",
" ",
"   OPERCHAN     Set Operator channel.",
"   OPERJOIN     Force Oper to join a channel on oper up",
"   GENERIC      Enable/Disable generic welcome notice each",
"                unregistered nick receives on connection.",
" ",
"\2Syntax\2: AGENT SET <command>",
" ",
"End of \2Auto System\2 Settings.",
" ",
NULL
};
/***********************************************************/
static const char *agent_helpset_4[] = {
" ",
"Set \2Information\2",
" ",
"   ADMIN        Set network admin Full Name.",
"   ADMAIL       Set network admin e-mail.",
"   REPLYMAIL    Set e-mail which will place in reply on send mail activity.",
"   CSURL        Set ChanServ URL.",
"   GUESTURL     Set Guest URL.",
"   NSURL        Set NickServ URL.",
" ",
"\2Syntax\2: AGENT SET <command>",
" ",
"End of \2Information\2 setting.",
" ",
NULL
};
/************************************************************/
static const char *agent_helpset_5[] = {
" ",
"\2Expiry Setting\2",
" ",
"   NEARDAY      Time to send remind e-mail before nick expired.",
"   NICKEXPIRE   Set expire day for nickname.",
"   CHANEXPIRE   Set expire day for channel.",
"   MEMOEXPIRE   Set expire day for memo.",
" ",
"\2Syntax\2: AGENT SET <command>",
" ",
"End of \2Expiry Setting\2.",
" ",
NULL
};
